#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-

# Copyright (C) 2003 Jrg Lehmann <joerg@luga.de>
#
# This file is part of PyTone (http://www.luga.de/pytone/)
#
# PyTone is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# PyTone is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyX; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""

register songs and playlists into database 

"""

import curses
import os
import os.path
import events
import songdb

channel = events.hub.newchannel()

# XXX: dirty trick in order to be able to import config
def main(stdscr):
    import config
curses.wrapper(main)
import config

# disable song autoregisterer
config.autoregisterer = 0

db = songdb.songdb(channel, config)
db.registerdirtree(os.path.expanduser(config.basedir))
db.close()

